Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Test and Performance Tools Platform (TPTP) » missing 3 plugins
missing 3 plugins [message #59555] Tue, 21 March 2006 11:48 Go to next message
Lisa Davis is currently offline Lisa Davis
Messages: 18
Registered: July 2009
Junior Member
Hi,

I'm trying to install TPTP on Eclipse, and am trying to do it through
"Updates." Every time I do though, I get the following errors:

Requested operation cannot be performed because it would invalidate the
current configuration. See details for more information.
TPTP Server Log Import (4.1.0.1) requires plug-in
"org.eclipse.wst.server.core".
TPTP Profile on Server (4.1.0.1) requires plug-in
"org.eclipse.jst.server.tomcat.core".
BIRT Reporting for TPTP Feature (4.1.0.1) requires plug-in
"org.eclipse.birt.core".


Not sure what I did wrong or where I can get these plugins. I appreciate
any help.

Thank you!
Lisa
Re: missing 3 plugins [message #59602 is a reply to message #59555] Tue, 21 March 2006 14:32 Go to previous messageGo to next message
Eclipse User
Originally posted by: nospam.nospam.com

Hi...Lisa,

I had to face the same issue. The workaround is to download the TPTP SDK
& unzip it in "c:\" so that it add all the plugins into the eclipse folder.
Here is my current config :
Eclipse 3.1.2 in c:\eclipse
JDK 1.4
EMF 2.1.2 unzipped in c:\
XSD SDK 2.1.2 unzipped in c:\
BIRT 2.0.0 unzipped in c:\

Please do let me know if you still are not able to use the TPTP.

Regards,

Praveen

"Lisa Davis" <davislm@ldschurch.org> wrote in message
news:e2030ca490354df40aef00743a8b73e2$1@www.eclipse.org...
> Hi,
>
> I'm trying to install TPTP on Eclipse, and am trying to do it through
> "Updates." Every time I do though, I get the following errors:
>
> Requested operation cannot be performed because it would invalidate the
> current configuration. See details for more information.
> TPTP Server Log Import (4.1.0.1) requires plug-in
> "org.eclipse.wst.server.core".
> TPTP Profile on Server (4.1.0.1) requires plug-in
> "org.eclipse.jst.server.tomcat.core".
> BIRT Reporting for TPTP Feature (4.1.0.1) requires plug-in
> "org.eclipse.birt.core".
>
>
> Not sure what I did wrong or where I can get these plugins. I appreciate
> any help.
>
> Thank you!
> Lisa
>
Re: missing 3 plugins [message #59654 is a reply to message #59602] Tue, 21 March 2006 16:35 Go to previous messageGo to next message
Lisa Davis is currently offline Lisa Davis
Messages: 18
Registered: July 2009
Junior Member
Hi Praveen--

This solution seems to work well on my XP machine. Thank you so much for
your help! Just out of curiosity, have you ever loaded this on a Linux
machine? I seem to be getting similar errors so I am going to try your
solution--adapted for Linux. I'll let you know if I run into any more
problems.

Thanks again!
Lisa
Re: missing 3 plugins [message #59678 is a reply to message #59654] Tue, 21 March 2006 22:21 Go to previous message
Randy D. Smith is currently offline Randy D. Smith
Messages: 394
Registered: July 2009
Senior Member
I've had as good success with Linux with this technique as with Windows.
The key there (as with Windows... it depends on your un-zipper) is to
make sure that the directory hierarchy is preserved. By default with
Linux I think you shouldn't have a problem, but if you do have a
problem, check and see if your unzipper has a "preserve directories"
option that isn't on by default.

By the way, in case anyone else has a similar problem and stumbles on
this thread, the key to it working the way Praveen said (e.g., "unzip it
in C:\") is that he'd extracted Eclipse itself into C:\. If, for
example, you put eclipse in C:\some\other\place such that your
executable is C:\some\other\place\eclipse\eclipse.exe, you'd want to go
to C:\some\other\place to unzip, as the eclipse add-ons all assume an
eclipse directory as the root of the tree.

Honest admission time: I think that historically speaking, the various
Eclipse projects have had widely scattered enthusiasm for the update
manager approach vs. the "overlay the eclipse installation" approach,
with TPTP leaning towards the latter in terms of actual use by its
committers. I expect this will change with Callisto (the 4.2 TPTP
release coordinated with Eclipse 3.2 and a host of other projects).
We're all "getting on board" with update manager as option one, with a
single site being all that is necessary to initiate the update of the
PLATFORM to your favorite IDE (Java et.al.) and your desired components.

Let me also say thanks Praveen for the help! I love to see people asking
for help one week and then moving on to helping others the next. That's
the way open source is supposed to work, and it's great when it does.
--
RDS


Lisa Davis wrote:
> Hi Praveen--
>
> This solution seems to work well on my XP machine. Thank you so much
> for your help! Just out of curiosity, have you ever loaded this on a
> Linux machine? I seem to be getting similar errors so I am going to try
> your solution--adapted for Linux. I'll let you know if I run into any
> more problems.
>
> Thanks again!
> Lisa
>
Previous Topic:unable to load class org.eclipse.hyades.trace.internal.ui.PDProjectExplorer error
Next Topic:Agent Controller on Linux
Goto Forum:
  


Current Time: Tue Jul 22 05:37:59 EDT 2014

Powered by FUDForum. Page generated in 0.02343 seconds